From 939e32d87dff0fd949e54599d376bfae8381001a Mon Sep 17 00:00:00 2001
From: Andrew Hsieh <andrewhsieh@google.com>
Date: Wed, 12 Feb 2014 20:11:53 +0800
Subject: [PATCH 05/12] Fix gabi++/stlport/llvm-libc++ build

---
 src/exception.cpp | 2 +-
 src/new.cpp       | 2 +-
 src/stdexcept.cpp | 2 +-
 src/typeinfo.cpp  | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/src/exception.cpp b/src/exception.cpp
index 3ce6f2e..bd22133 100644
--- a/src/exception.cpp
+++ b/src/exception.cpp
@@ -29,7 +29,7 @@
     #define __terminate_handler  __cxxabiapple::__cxa_terminate_handler
     #define __unexpected_handler __cxxabiapple::__cxa_unexpected_handler
   #endif  // _LIBCPPABI_VERSION
-#elif defined(LIBCXXRT) || __has_include(<cxxabi.h>)
+#elif defined(LIBCXXRT) || __has_include(<cxxabi.h>) || defined(__ANDROID__)
   #include <cxxabi.h>
   using namespace __cxxabiv1;
   #if defined(LIBCXXRT) || defined(_LIBCPPABI_VERSION)
diff --git a/src/new.cpp b/src/new.cpp
index 3b7c341..9130ab3 100644
--- a/src/new.cpp
+++ b/src/new.cpp
@@ -27,7 +27,7 @@
         #define __new_handler __cxxabiapple::__cxa_new_handler
     #endif
 #else  // __APPLE__
-    #if defined(LIBCXXRT) || __has_include(<cxxabi.h>)
+    #if defined(LIBCXXRT) || __has_include(<cxxabi.h>) || defined(__ANDROID__)
         #include <cxxabi.h>
     #endif  // __has_include(<cxxabi.h>)
     #if !defined(_LIBCPPABI_VERSION) && !defined(__GLIBCXX__)
diff --git a/src/stdexcept.cpp b/src/stdexcept.cpp
index aff4b18..26de25f 100644
--- a/src/stdexcept.cpp
+++ b/src/stdexcept.cpp
@@ -18,7 +18,7 @@
 #endif
 
 /* For _LIBCPPABI_VERSION */
-#if __has_include(<cxxabi.h>) || defined(__APPLE_) || defined(LIBCXXRT)
+#if __has_include(<cxxabi.h>) || defined(__APPLE_) || defined(LIBCXXRT) || defined(__ANDROID__)
 #include <cxxabi.h>
 #endif
 
diff --git a/src/typeinfo.cpp b/src/typeinfo.cpp
index b428120..b1bceb5 100644
--- a/src/typeinfo.cpp
+++ b/src/typeinfo.cpp
@@ -14,7 +14,7 @@
 
 #ifdef __APPLE__
 #include <cxxabi.h>
-#elif defined(LIBCXXRT) || __has_include(<cxxabi.h>)
+#elif defined(LIBCXXRT) || __has_include(<cxxabi.h>) || defined(__ANDROID__)
 #include <cxxabi.h>
 #endif
 
-- 
1.9.1.423.g4596e3a

